LISTEN(2)

NAME
listen - listen for connections on a socket

SYNOPSIS
listen(s, backlog)
int s, backlog;

DESCRIPTION
To accept connections, a socket is first created with socket(2), a willingness to accept incoming connections and a queue limit for incoming connections are specified with listen(2), and then the connections are accepted with accept(2). The listen call applies only to sockets of type SOCK_STREAM or SOCK_SEQPACKET.

The backlog parameter defines the maximum length the queue of pending connections may grow to. If a connection request arrives with the queue full the client may receive an error with an indication of ECONNREFUSED, or, if the underlying protocol supports retransmission, the request may be ignored so that retries may succeed.

RETURN VALUE
A 0 return value indicates success; -1 indicates an error.

ERRORS
The call fails if:

[EBADF]
    The argument s is not a valid descriptor.

[ENOTSOCK]
    The argument s is not a socket.

[EOPNOTSUPP]
    The socket is not of a type that supports the operation listen.

SEE ALSO
accept(2), connect(2), socket(2)

BUGS
The backlog is currently limited (silently) to 5 and negative numbers are replaced by 0.
It is not the queue length - this is currently defined by:
    (backlog*3)/2 + 1